#include <stdint.h>
#include <string.h>
#include "nrf_delay.h"
#include "sf_uart.h"


char rxBuffer[100] = {0};
uint8_t rxCount = 0;
void event_handler(uint16_t rx)
{
    rxBuffer[rxCount++] = rx;
    if(rxCount == 100)
    {
      rxCount = 0;
      memset(rxBuffer, 0, 100);
    }
}

int main()
{
    char str[27] =  "abcdefghijklmnopqrstuvwxyz";
    gpiote_init(); 
    sf_uart_init(APP_SF_UART0, APP_SF_UART_BAUDRATE_9600, event_handler);
    while(1)
    {
       sf_uart_writeStr(APP_SF_UART0, str);
       nrf_delay_ms(100);
    }
}